#ifndef ns_layer_h
#define ns_layer_h

#include "agent.h"
#include "timer-handler.h"

class Layer_Agent;

class LayerTimer : public TimerHandler {
public:
    LayerTimer(Layer_Agent *l) : TimerHandler(), l_(l) {}
    virtual void expire(Event*);
protected:
    Layer_Agent *l_;
};

class Layer_Agent : public Agent {
 public:
	Layer_Agent();
	int command(int argc, const char*const* argv);
	virtual void timeout();
 protected:
	void start();
	void stop();
	void send_all_pkts();
	LayerTimer timer_;
	int running_;
	double lasttime_;
	double interval_;
	int noofpkts_;
	int seqno_;
	double vtime_;
	int off_rtp_;
};

#endif
